Bug 1271266 - [Director] Director is deploying the lvm backend in a loop device that is not supported by GSS [NEEDINFO]
[Director] Director is deploying the lvm backend in a loop device that is not...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ---
: 12.0 (Pike)
Assigned To: Alan Bishop
Arik Chernetsky
: Triaged
Depends On:
Blocks: 1280012 1301427
  Show dependency treegraph
 
Reported: 2015-10-13 09:49 EDT by Eduard Barrera
Modified: 2017-09-02 21:49 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1280012 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
abishop: needinfo? (anande)


Attachments (Terms of Use)

  None (edit)
Description Eduard Barrera 2015-10-13 09:49:25 EDT
Description of problem:

RHOS Director is deploying the LVM backed by using a loop device for the disk. This is not aligned with the best practices we recommend to our customers to follow neither supported by GSS

Version-Release number of selected component (if applicable):

RHOS Director 7

How reproducible:
always

Steps to Reproduce:
1. Deploy an environment using LVM backend
2.
3.

Actual results:
the cinder-volumes volume group is deployed over a loop device

Expected results:
cinder-volumes volume group deployed in a supported way by GSS like cinder-volumes using his own physical disk 


Additional info:

This is not a feature request, it's a bug, director is not deploying the LVM in a supported way. You can use the sosreports attached in the attached customer portal case as a guide how customers are using openstack director deployed environemnts.

IMHO
- LVM should be deployed in a secondary disk by default, if not available, fail the installation and complain as mandatory

- We need also a plan to move from the current unsupported way to a supported way
Comment 2 Jack Waterworth 2015-10-13 10:11:28 EDT
this is easy to workaround after deployment. (at least for packstack configurations)

Create partition:
    # parted /dev/sdb mklabel msdos mkpart primary 0% 100%

Create PV:
    # pvcreate /dev/sdb1

Extend over new PV
    # vgextend cinder-volumes /dev/sdb1

Move data off of the loop device
    # pvmove /dev/loop0

Remove loop from volume group:
    # vgreduce cinder-volumes /dev/loop0

Delete loop device:
    # losetup -d /dev/loop0

Delete backing file:
    # rm /path/to/cinder-volumes/file

Remove losetup line from rc.local:
    # vi /etc/rc.local
Comment 4 Mike Burns 2015-10-15 12:08:43 EDT
The suggested fix here is to make ceph the default.  We probably want to clone this to docs once we have that fix so we can update the defaults with notes to change this.
Comment 5 Giulio Fidente 2015-11-02 12:45:11 EST
I am moving this BZ to the tripleoclient. Do we want to switch the default in the templates? Also, there is a deployment param to use the controllers as Ceph OSDs. By using such a parameter we can do 1ctrl + 1compute, with Ceph, without the need to deploy an additional node as Ceph OSD. Is this doable?
Comment 6 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 10 Eric Harney 2016-10-14 10:38:45 EDT
Since this is only a data integrity concern for production deployments and LVM is not supported for production deployments, we can defer this to OSP11.
Comment 11 Paul Grist 2017-02-09 17:44:33 EST
We have 2 threads going on here:

1 - LVM loopback issue, which I think has a workaround and it's not a supported back end.

2 - requests to make ceph a default instead as means of avoiding unsupported LVM customer case bugs - again, LVM is not a supported back end for RHOS.  This is a larger discussion and we had started to discuss options but had not closed on a plan.

Dropping the priority and pushing to 12 as we are not planning to address this right now.

We need to consider if we will ever fix the original issue (1) and my preference will be to open a new bug or RFE around "ensuring customers know LVM is not supported on RHOS".
Comment 16 Alan Bishop 2017-04-18 11:31:44 EDT
Giulio posed a question.

Note You need to log in before you can comment on or make changes to this bug.